package org.apache.commons.lang3.function;

import java.lang.Throwable;

@FunctionalInterface
/* loaded from: org_apache_commons_lang3_function.jar:org/apache/commons/lang3/function/FailableDoubleFunction.class */
public interface FailableDoubleFunction<R, E extends Throwable> {
    public static final FailableDoubleFunction NOP = t -> {
        return null;
    };

    R apply(double d) throws Throwable;

    static <R, E extends Throwable> FailableDoubleFunction<R, E> nop() {
        return NOP;
    }
}
